//
//  CategoryDetailInteractor.swift
//  xsea
//
//  Created Phạm Anh Tuấn on 8/31/19.
//  Copyright © 2019 Phạm Anh Tuấn. All rights reserved.
//
//  Template generated by Juanpe Catalán @JuanpeCMiOS
//

import UIKit

class CategoryDetailInteractor: CategoryDetailInteractorInputProtocol {
    func getProductsOfCategory() {
        let products: [Product] = [
            Product(name: "1", id: "1", price: 1, code: "1"),
            Product(name: "2", id: "2", price: 2, code: "3"),
            Product(name: "3", id: "3", price: 3, code: "3")]
        presenter?.productsOfCategoryDidFetch(with: products)
    }
    

    weak var presenter: CategoryDetailInteractorOutputProtocol?
}
